<?php
ini_set('max_execution_time', 300);
set_time_limit(300);

data_default_timezone_set("UTC");

function getEmailsFromWebsite($url) {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows NT 10.0; Win64; x64)");
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    
    $html = curl_exec($ch);
    $error = curl_error($ch);
    curl_close($ch);

    if (!$html) {
        file_put_contents("scraper_errors.log", "Failed to fetch: $url - Error: $error\n", FILE_APPEND);
        return ["url" => $url, "emails" => [], "error" => "Failed to fetch data"];
    }

    preg_match_all('/[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}/', $html, $matches);
    $emails = array_unique($matches[0]);

    return ["url" => $url, "emails" => $emails, "error" => null];
}

if ($_SERVER['REQUEST_METHOD'] === 'POST' && !empty($_POST['websites'])) {
    $domains = explode("\n", trim($_POST['websites']));
    $domains = array_map('trim', $domains);
    $domains = array_filter($domains, 'strlen'); // Remove empty lines
    
    $results = [];
    foreach ($domains as $domain) {
        $url = filter_var($domain, FILTER_VALIDATE_URL) ? $domain : "http://$domain";
        $results[] = getEmailsFromWebsite($url);
    }
    
    header('Content-Type: application/json');
    echo json_encode($results, JSON_PRETTY_PRINT);
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Email Scraper</title>
</head>
<body>
    <h2>Mass Website Email Scraper</h2>
    <form method="POST">
        <textarea name="websites" rows="10" cols="50" placeholder="Enter one domain per line..."></textarea><br>
        <button type="submit">Scrape Emails</button>
    </form>
</body>
</html>