<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $to_list = explode("\n", trim($_POST["emails"])); // Get email list
    $from_name = trim($_POST["from_name"]); // Sender's name
    $from_email = trim($_POST["from_email"]); // Sender's email
    $subject = trim($_POST["subject"]); // Email subject
    $message = trim($_POST["message"]); // HTML email content

    // Format the "From" header with name support
    $headers = "From: \"$from_name\" <$from_email>\r\n";
    $headers .= "Reply-To: $from_email\r\n";
    $headers .= "MIME-Version: 1.0\r\n";
    $headers .= "Content-Type: text/html; charset=UTF-8\r\n";

    echo "<h2>Sending Emails...</h2>";
    foreach ($to_list as $to) {
        $to = trim($to);
        if (!empty($to) && filter_var($to, FILTER_VALIDATE_EMAIL)) {
            if (mail($to, $subject, $message, $headers)) {
                echo "<p>✅ Sent to: $to</p>";
            } else {
                echo "<p>❌ Failed to send to: $to</p>";
            }
        } else {
            echo "<p>⚠️ Invalid email: $to</p>";
        }
    }
}
?>

<!DOCTYPE html>
<html>
<head>
    <title>PHP Bulk Mailer</title>
</head>
<body>
    <h2>Send Bulk Emails</h2>
    <form method="post">
        <label>From Name:</label><br>
        <input type="text" name="from_name" required><br><br>

        <label>From Email:</label><br>
        <input type="email" name="from_email" required><br><br>

        <label>Subject:</label><br>
        <input type="text" name="subject" required><br><br>

        <label>Email List (one per line):</label><br>
        <textarea name="emails" rows="5" cols="40" required></textarea><br><br>

        <label>HTML Message:</label><br>
        <textarea name="message" rows="10" cols="50" required></textarea><br><br>

        <input type="submit" value="Send Emails">
    </form>
</body>
</html>
